<h1>Devices</h1>
<div class="devices-container" *ngIf="!_loading">
  <ng-container *ngFor="let device of _devices">

    <div class="card m-2" style="width: 18rem;">
      <img class="card-img-top" src="http://via.placeholder.com/300x100" alt="Card image cap">
      <div class="card-body">
        <h5 class="card-title">
          {{device.name}}
          <app-device-type-icon [type]="device.type"></app-device-type-icon>
        </h5>
        <p class="card-text">
          Some quick text.</p>
        <button class="btn btn-primary" (click)="_showDetails(device)">Details</button>
      </div>
    </div>
  </ng-container>
</div>
<div class="loader" *ngIf="_loading">
  ...Loading...
</div>
<div class="empty" *ngIf="!_loading && _devices.length == 0">
  <h4>No data for display</h4>
</div>
